Subject: Re: [PATCH 2/2] Speed up is_git_command() by checking early for internal commands

From: Sebastian Schuberth <[email-masked]>
Date: Thu, 02 Jan 2014 13:46:22 +0100

On 02.01.2014 09:51, Christian Couder wrote:

>> diff --git a/builtin/help.c b/builtin/help.c
>> index b6fc15e..1f0261e 100644
>> --- a/builtin/help.c
>> +++ b/builtin/help.c
>> @@ -284,10 +284,15 @@ static int git_help_config(const char *var, const char *value, void *cb)
>>          return git_default_config(var, value, cb);
>>   }
>>
>> +extern int is_internal_command(const char *s);
>> +
>
> Starting the new year in keeping with the fine tradition of asking
> people who add stuff to clean up what others left behind, I would
> suggest moving all the code related to internal commands (or maybe all
> commands) in a new pair of files like "internal-cmds.{c,h}". This way
> git.c and builtin/help.c could include internal-cmds.h and you
> wouldn't need such extern declaration.

Wouldn't the existing builtin.h be a more appropriate for this? (And 
create a builtin.c for the implementations.)

Also, I start to realize that it's a bit unfortunate that we seem to use 
the terms "builtin" and "internal command" interchangeably. I'll 
probably add a patch to address this.

-- 
Sebastian Schuberth